
/*  -*- MaTX -*-
 *
 *  【名前】
 *      I() - 単位行列
 *
 *  【形式】
 *      Y = I(n)
 *         Matrix Y;
 *         Integer n;
 *
 *      Y = I(m,n)
 *         Matrix Y;
 *         Integer m,n;
 *
 *      Y = I(X)
 *         Matrix Y;
 *         Integer X;
 *
 *      Y = I(m,n,X)
 *         Matrix Y;
 *         Integer m,n;
 *         Matrix X;
 *
 *  【機能説明】
 *      整数 n について，I(n)は n * n の単位行列を返す。I(m,n) は，対角
 *      成分が 1 で，他の成分がゼロの m * n の行列を返す。X が行列のとき，
 *      I(X) は，X と同じ大きさで，対角成分が 1，他の成分がゼロの行列を
 *      返す。I(m,n,X) は，大きさが m*Rows(X) * n*Cols(X)で，対角成分が
 *      1 で，他の成分がゼロの行列を返す。
 *
 *  【例題】
 *      >> Y = I(2)
 *      === [Y] : (  2,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  1.00000000E+00  0.00000000E+00
 *      (  2)  0.00000000E+00  1.00000000E+00
 *      >> Y = I(2,3)
 *      === [Y] : (  2,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  1.00000000E+00  0.00000000E+00  0.00000000E+00
 *      (  2)  0.00000000E+00  1.00000000E+00  0.00000000E+00
 *
 *  【関連項目】
 *      Z(), ONES()
 */
