
/*  -*- MaTX -*-
 *
 *  【名前】
 *      all_col() - 論理演算関数(列ごとにすべての成分が 0 でないか判定)
 *
 *  【形式】
 *      x = all_col(X)
 *         Array x;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      all_col(X) は，X の列毎に全ての成分が 0 でない場合に 1 を 
 *      1 でつも 0 の成分があれば 0 を割り当て，0 と 1 からなる行ベク
 *      トル(配列)を返す。
 *
 *  【例題】
 *      行列型のデータ A の列毎に，全ての成分が 5 より大きいか判定する。
 *
 *      all_col(A .> 5)
 *
 *  【関連項目】
 *      all(), all_row(), any(), any_row(), any_col()
 */
