
/*  -*- MaTX -*-
 *
 *  【名前】
 *      any() - 論理演算関数(少なくとも 1 つ 0 でない成分が存在)
 *
 *  【形式】
 *      i = any(X)
 *         Integer i;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      any(A) は A に少なくとも 1 つ 0 でない成分がある場合には 1 (真)
 *      となり，全ての成分が 0 の場合は 0 (偽)となる。
 *
 *  【例題】
 *      行列型のデータ A の成分に 5 より大きい成分が存在するか判定する。
 *
 *      if (any(A .> 5)) {
 *          do something
 *      }
 *
 *  【関連項目】
 *      any_row(), any_col(), all(), all_row(), all_col()
 */
