
/*  -*- MaTX -*-
 *
 *  【名前】
 *      atanh() - 双曲(線)逆正接
 *
 *  【形式】
 *      y = atanh(x)
 *         (Real   |Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = atanh(X)
 *         Array Y;
 *         Array X;
 *
 *  【機能説明】
 *      atanh(x)は，スカラ型(整数, 実数, 複素数) x の逆双曲(線)正接を求める。
 *      角度はラジアンで計算される。
 *	    atanh(X)は，配列 X の各成分の逆双曲(線)正接からなる配列 Y を求める。
 *      Y の大きさは X の大きさと同じ。
 *
 *  【アルゴリズム】
 *      atanh(z) = 1/(2 * log((1+z)/(1+z)))
 *
 *  【例題】
 *      >> y = atanh(0.5)
 *      y = 0.549306
 *
 *  【関連項目】
 *      asin(), acos(), atan(), asinh(), acosh()
 */
