
/*  -*- MaTX -*-
 *
 *  【名前】
 *      cumprod_col() - 列ごとの累積積
 *
 *  【形式】
 *      Y = cumprod_col(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      cumprod_col(X)は，(行列|配列|指数)列ごとの累積積を求め，
 *      (行列|配列|指数) X と同じ大きさの(行列|配列|指数) Y 
 *      を返す。
 *
 *  【例題】
 *      >> Y = cumprod_col([[1 2][3 4]])
 *      === [Y] : (  2,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  1.00000000E+00  2.00000000E+00
 *      (  2)  3.00000000E+00  8.00000000E+01
 *
 *  【関連項目】
 *      cumprod(), cumprod_row()
 */
