
/*  -*- MaTX -*-
 *
 *  【名前】
 *      cumsum_row() - 行毎の累積和
 *
 *  【形式】
 *      Y = cumsum_row(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      cumsum_row(X)は，(行列|配列|指数)の行毎の累積和を求め，
 *      (行列|配列|指数) X と同じ大きさの(行列|配列|指数) Y を返す。
 *
 *  【例題】
 *      >> Y = cumsum_row([[1 2][3 4]])
 *      === [Y] : (  2,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  1.00000000E+00  3.00000000E+00
 *      (  2)  3.00000000E+00  7.00000000E+00
 *
 *  【関連項目】
 *      cumprod(), cumsum_col()
 */
