
/*  -*- MaTX -*-
 *
 *  【名前】
 *      diag2vec() - 対角成分からなるベクトル
 *
 *  【形式】
 *      Y = diag2vec(X)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *
 *      Y = diag2vec(X,k)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *         Integer k;
 *
 *  【機能説明】
 *      diag2vec(X) は，X の対角成分からなる列ベクトルを作る。
 *      diag2vec(X,k) は，X の k だけ主対角より上の成分からなる
 *      列ベクトルを作る。
 *
 *  【例題】
 *      >> Y = diag2vec([[1 2 3][4 5 6][7 8 9]])
 *      === [Y] : (  3,  1) ===
 *                 (  1)     
 *      (  1)  1.00000000E+00
 *      (  2)  5.00000000E+00
 *      (  3)  9.00000000E+00
 *      >> Y = diag2vec([[1 2 3][4 5 6][7 8 9]], 1)
 *      === [Y] : (  2,  1) ===
 *                 (  1)     
 *      (  1)  2.00000000E+00
 *      (  2)  6.00000000E+00
 *
 *  【関連項目】
 *      diag(), vec2diag(), diag_vec()
 */
