
/*  -*- MaTX -*-
 *
 *  【名前】
 *      eigvec() - (右)固有ベクトル
 *
 *  【形式】
 *      X = eigvec(A)
 *         CoMatrix X;
 *         Matrix A;
 *
 *      X = eigvec(A,B)
 *         CoMatrix X;
 *         Matrix A,B;
 *
 *  【機能説明】
 *      X = eigvec(A)は，正方行列 A の(右)固有ベクトルを列とする行列 X 
 *      を返す。固有ベクトルは個々のノルムが 1.0 にスケーリングされる。
 *      固有ベクトルは，固有値の実部の降順に並べられる。
 *
 *      X = eigvec(A,B)は，正方行列 A と B の一般化された固有ベクトルを
 *      列とする行列 X を返す。固有ベクトルは個々のノルムが 1.0 にスケー
 *      リングされる。固有ベクトルは，固有値の実部の降順に並べられる。
 *
 *  【注意】
 *      繰り返し計算で固有値が求まらない場合は，次のメッセージが表示される。
 *
 *          Solution will not converge
 *
 *  【例題】
 *      >> X = eigvec([[1 2][3 4]])
 *      === [X] : (  2,  2) ===
 *             [ (  1)-Real  (  1)-Imag ]  [ (  2)-Real  (  2)-Imag ]
 *      (  1) -4.222291E-01  0.000000E+00 -8.245648E-01  0.000000E+00
 *      (  2) -9.230523E-01  0.000000E+00  5.657674E-01  0.000000E+00
 *
 *  【関連項目】
 *      eig(), eigval()
 */
