
/*  -*- MaTX -*-
 *
 *  【名前】
 *      exp() - 指数
 *
 *  【形式】
 *      y = exp(x)
 *         (Real   |Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = exp(X)
 *         Array Y;
 *         Array X;
 *
 *      Y = exp(X)
 *         Matrix Y;
 *         Matrix X;
 *
 *  【機能説明】
 *      exp(x)は，スカラ型(整数, 実数, 複素数) x の指数を求める。
 *	    X が配列のとき，exp(X)は配列 X の各成分の指数からなる配列
 *      Y を求める。Y の大きさは X の大きさと同じになる。
 *      X が行列のとき，exp(X)は X の行列指数関数
 *
 *         Y = I + X + X^2/(2!) + ... + X^n/(n!) + ...
 *
 *      を求める。
 *
 *  【例題】
 *      >> y = exp(1)
 *      y = 2.71828
 *
 *  【関連項目】
 *      sin(), cos(), tan(), log(), log10()
 */
