
/*  -*- MaTX -*-
 *
 *  【名前】
 *      fclose() - ファイルをクローズする
 *
 *  【形式】
 *      k = fclose(fd)
 *         Integer k;
 *         Integer fd;
 *
 *  【機能説明】
 *      fclose(fd)は，fd = fopen() でオープンしたファイルをクローズする。
 *      クローズに成功するとゼロ，クローズに失敗すると負の整数を返す。
 *
 *  【例題】
 *      ファイル afo を書き込み用にオープンし，関数 fprintf() でデータを
 *      書き込む。次に，同じファイルを読み込み用にオープンし，fscanf()で
 *      データを読み込む。fscanf()は，読み込んだデータからなるリストを返す。
 *
 *      if ((fd1 = fopen("afo", "w")) < 0) {
 *          error("Can't open %s", "afo");
 *      }
 *      fprintf(fd1, "%d %f %s", 10, 3.1415, "Hello");
 *      fclose(fd1);
 *  
 *      if ((fd2 = fopen("afo", "r")) < 0) {
 *          error("Can't open %s", "afo");
 *      }
 *      {a, b, c} = fscanf(fd2, "%d %lf %s");
 *      fclose(fd2);
 *
 *  【関連項目】
 *      fopen(), fscanf(), fprintf(), fgets(), fread(), fwrite()
 */
