
/*  -*- MaTX -*-
 *
 *  【名前】
 *      frobnorm_row() - 行毎のフロベニウスノルム
 *
 *  【形式】
 *      Y = frobnorm_row(X)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *
 *  【機能説明】
 *      frobnorm_row(X)は，行毎にフロベニウスノルムを求め，列ベク
 *      トルを返す。
 *
 *      X が列ベクトルまたは行ベクトルのとき，frobnorm_row(X) は
 *      全ての成分のフロベニウスノルムを求める。
 *
 *  【例題】
 *      >> Y = frobnorm_row([[1 2 3][4 5 6]])
 *      === [Y] : (  2,  1) ===
 *                 (  1)     
 *      (  1)  3.74165739E+00
 *      (  2)  8.77496439E+00
 *      >> Y = frobnorm_row([[1][2][3]])   
 *      === [Y] : (  1,  1) ===
 *                 (  1)     
 *      (  1)  3.74165739E+00
 *
 *  【関連項目】
 *      frobnorm(), frobnorm_col()
 */
