
/*  -*- MaTX -*-
 *
 *  【名前】
 *      isinf() - 無限大の判定
 *
 *  【形式】
 *      k = isinf(x)
 *         Integer k;
 *         (Real|Complex) x;
 *
 *      Y = isinf(X)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *
 *  【機能説明】
 *      isinf(x)は，(実数|複素数) x について，値が +Inf または -Inf 
 *      のとき 1，有限あるいは NaN のとき 0 を返す。
 *
 *	    isinf(X)は，(行列|配列) X の各成分に isinf(X(i,j)) を作用した
 *      結果からなる(行列|配列) を求める。Y の大きさは X の大きさと
 *      同じになる。
 *
 *  【例題】
 *      >> k = isinf(0.5)
 *      k = 0
 *      >> k = isinf(NaN)
 *      k = 0
 *      >> k = isinf(Inf)
 *      k = 1
 *      >> Y = isinf([1, Inf, NaN, -4])
 *      === [Y] : (  1,  4) ===
 *                 (  1)         (  2)         (  3)         (  4)     
 *      (  1)  0.000000E+00  1.000000E+00  0.000000E+00  0.000000E+00
 *
 *  【関連項目】
 *      isnan(), isfinite()
 */
