
/*  -*- MaTX -*-
 *
 *  【名前】
 *      min_col() - 列毎の最小値
 *
 *  【形式】
 *      Y = min_col(X)     Y = min_col(X)          Y = min_col(X)
 *         Index Y;           Matrix Y;               CoMatrix Y;
 *         Index X;           (Matrix|Array) X;       (CoMatrix|CoArray) X;
 *
 *  【機能説明】
 *      X が指数のとき，min_col(X) は列毎に成分の最小値を求め，行ベクトル
 *      (指数)で返す。X が(行列|配列)のとき，min_col(X) は列毎に成分の最小
 *      値を求め，行ベクトル(行列|配列)で返す。
 *      X が複素(行列|配列)のとき，min_col(X) は列毎に絶対が最小値の成分を
 *      を求め，行ベクトル(複素行列|複素配列)で返す。
 *
 *      X が縦ベクトルまたは横ベクトルのとき，min_col(X)は，ベクトルの成分
 *      の最小値を返す。
 *
 *  【例題】
 *      >> Y = min_col([[1, -2][3, 0]])
 *      === [Y] : (  1,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  1.00000000E+00 -2.00000000E+00
 *      >> Y =  min_col([1, -2])          
 *      === [Y] : (  1,  1) ===
 *                 (  1)     
 *      (  1) -2.00000000E+00
 *      >> Y = min_col([[(1,2), (3,4)][(5,6), (7,8)]]) 
 *      === [Y] : (  1,  2) ===
 *             [ (  1)-Real  (  1)-Imag ]  [ (  2)-Real  (  2)-Imag ]
 *      (  1)  1.000000E+00  2.000000E+00  3.000000E+00  4.000000E+00
 *
 *  【関連項目】
 *      min(), min_row()
 */
