
/*  -*- MaTX -*-
 *
 *  【名前】
 *      minimum() - 最小値とその指数
 *
 *  【形式】
 *         X が行列の場合           Xがベクトルの場合
 *
 *      {k,i,j} = minimum(X)       {k,i} = minimum(X)
 *         Integer k;                 Integer k;
 *         Integer i,j;               Integer i;
 *         Index X;                   Index X;
 *
 *      {x,i,j} = minimum(X)       {x,i} = minimum(X)
 *         Real x;                    Real x;
 *         Integer i,j;               Integer i;
 *         (Matrix|Array) X;          (Matrix|Array) X;
 *
 *      {z,i,j} = minimum(X)       {z,i} = minimum(X)
 *         Complex z;                 Complex z;
 *         Integer i,j;               Integer i;
 *         (CoMatrix|CoArray) X;      (CoMatrix|CoArray) X;
 *
 *  【機能説明】
 *      X が指数のとき，minimum(X) は成分の最小値(整数)とその指数(行番号
 *      と列番号)を返す。X が(行列|配列)のとき，minimum(X) は成分の最小値
 *      (実数)とその指数(行番号と列番号)を返す。X が複素(行列|配列)のとき，
 *      minimum(X) は絶対が最小値の成分(複素数)とその指数(行番号と列番号)
 *      を返す。X が縦ベクトルまたは横ベクトルのとき，指数は成分の番号にな
 *      る。
 *
 *  【例題】
 *      >> L = minimum([[1.2, -2.3][3.1, 0]])
 *      L = {-2.3, 1, 2}
 *      >> L = minimum([(1,2), (3,4)])
 *      L = {(1,2), 1}
 *
 *  【関連項目】
 *      max(), minimum_col(), minimum_row(), maximum()
 */
