
/*  -*- MaTX -*-
 *
 *  【名前】
 *      norm() - ノルム
 *
 *  【形式】
 *      x = norm(A)
 *         Real x;
 *         (Matrix|Array) A;
 *
 *      x = norm(A,k)
 *         Real x;
 *         (Matrix|Array) A;
 *         Integer k;
 *
 *      x = norm(A,Inf)
 *         Real x;
 *         (Matrix|Array) A;
 *
 *      x = norm(A,"fro")
 *         Real x;
 *         (Matrix|Array) A;
 *
 *  【機能説明】
 *      norm(A)は，行列 A の最大特異値を求める。norm(A,1) は，A の
 *      1-ノルム(列毎の和の最大値)を求める。norm(A,2)は，norm(A)と
 *      等しい。
 *
 *      norm(A,Inf)は，行列 A の無限大ノルム(行毎の和の最大値)を求める。
 *
 *      norm(X,"fro")は，全ての成分のフロベニウスノルムを求める。
 *
 *  【例題】
 *      >> x = norm([[1 2 3][4 5 6]])
 *      x = 9.50803
 *      >> x = norm([[1 2 3][4 5 6]],1)
 *      x = 9
 *      >> x = norm([[1 2 3][4 5 6]],2)
 *      x = 9.50803
 *      >> x = norm([[1 2 3][4 5 6]],Inf)
 *      x = 15
 *      >> x = norm([[1 2 3][4 5 6]],"fro")
 *      x = 9.53939
 *
 *  【関連項目】
 *      frobnorm, infnorm
 */


