
/*  -*- MaTX -*-
 *
 *  【名前】
 *      print - データの表示およびファイルへの保存
 *
 *  【形式】
 *      print expr1, ..., exprn;
 *         任意の型 expr1, ..., exprn;
 *
 *      print expr1, ..., exprn -> file;
 *         任意の型 expr1, ..., exprn;
 *         String file;
 *
 *      print A >> file;
 *         (Matrix|CoMatrix) A;
 *         String file;
 *
 *  【機能説明】
 *      print expr1, ..., exprn は，データ expr1, ..., exprn を画面に
 *      変数名と共に出力する。変数でない場合は，ans という名前が用いら
 *      れる。
 *
 *      print expr1, ..., exprn -> file は，データ expr1, ..., exprn を
 *      ファイル file に，MX-データフォーマットで保存する。ファイル名の
 *      拡張子は通常 .mx を用いる。拡張子は省略可能である。
 *      この方法はデータをメモリに登録されている形式でファイルに保存する
 *      ので，データの精度が保存される。また，システム(CPUやOS)の情報も
 *      同時に保存されるので，アーキテクチャの異なるシステムでもデータを
 *      共有できる。
 *
 *      print A >> file は，実行列または複素行列 A をファイル file に
 *      MAT-データフォーマットで保存する。MATデータフォーマットはテキスト
 *      (アスキー)ファイルであり，非常にシンプルなので，外部プログラムと
 *      データを交換するのに適する。
 *
 *  【例題】
 *      >> a = 1;
 *      >> b = "hello";
 *      >> c = [[1 2][3 4]];
 *      >> d = {1, 1.2, (3,4)};
 *      >> print a, b, c, d;
 *      a = 1
 *      b = hello
 *       === [c] : (  2,  2) ===
 *                  (  1)           (  2)     
 *       (  1)  1.00000000E+00  2.00000000E+00
 *       (  2)  3.00000000E+00  4.00000000E+00
 *      d = {1, 1.2, (3,4)}
 *      >> print a, b, c, d -> "data.mx";
 *      >> print c >> "c.mat";
 *
 *  【関連項目】
 *      read
 */
