
/*  -*- MaTX -*-
 *
 *  【名前】
 *      rotateRight() - 全ての列を右方向へ回転する
 *
 *  【形式】
 *      Y = rotateRight(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *      Y = rotateRight(X,k)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *         Integer k;
 *
 *  【機能説明】
 *      rotateRight(X)は，行列型(行列|配列|指数) X の全ての列を右方向へ
 *      1 回転した行列を作る。一番右の列は一番左に移動する。
 *
 *      rotateRight(X,k)は，右方向へ k 回転する。
 *
 *  【例題】
 *      >> Y = rotateRight([[1 2 3][4 5 6]])
 *      === [Y] : (  2,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  3.00000000E+00  1.00000000E+00  2.00000000E+00
 *      (  2)  6.00000000E+00  4.00000000E+00  5.00000000E+00
 *
 *  【関連項目】
 *      shiftRight(), rotateUp(), rotateLeft(), rotateDown()
 */

