
/*  -*- MaTX -*-
 *
 *  【名前】
 *      save - MM-ファイルへの保存
 *
 *  【形式】
 *      save;
 *
 *      save file;
 *         String file;
 * 
 *      save var1, var2, ..., varn, file;
 *         任意の型の変数 var1, ..., varn;
 *         String file;
 *
 *  【機能説明】
 *      save var1, ..., varn, file は，変数 var1, ... varn をファイル file
 *      に MM-ファイルとして保存する。拡張子を省略すると拡張子は mm となる。
 *      インタプリタの場合，
 *          save "data";
 *      のようにファイル名だけを指定すると，全ての大域変数が保存され，
 *          save;
 *      のように，何も指定しないとファイル MaTX.mm に全ての大域変数が
 *      保存される。
 *
 *      save はインタプリタでもコンパイラでも使用でき，関数の内側でも
 *      外側(インタプリタのコマンドライン)でも使用できる。しかし，保存した
 *      データを読み込むコマンド load は，インタプリタのコマンドラインで
 *      しか使用できない。
 *
 *  【例題】
 *      >> a = 1;
 *      >> A = [[1 2][3 4]];
 *      >> save a, A, "AA.mm";
 *
 *  【関連項目】
 *      load
 */
