
/*  -*- MaTX -*-
 *
 *  【名前】
 *      shiftDown() - 全ての行を下方向へシフトする
 *
 *  【形式】
 *      Y = shiftDown(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *      Y = shiftDown(X,k)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *         Integer k;
 *
 *  【機能説明】
 *      shiftDown(X)は，行列型(行列|配列|指数) X の全ての行を下方向へ
 *      1 行シフトした行列を作る。一番上の行は，ゼロになる。
 *
 *      shiftDown(X,k)は，下方向へ k 行シフトする。
 *
 *  【例題】
 *      >> Y = shiftDown([[1 2][3 4][5 6]])
 *      === [Y] : (  3,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  0.00000000E+00  0.00000000E+00
 *      (  2)  1.00000000E+00  2.00000000E+00
 *      (  3)  3.00000000E+00  4.00000000E+00
 *
 *  【関連項目】
 *      rotateDown(), shiftUp(), shiftLeft(), shiftRight()
 */

