
/*  -*- MaTX -*-
 *
 *  【名前】
 *      singval() - 特異値
 *
 *  【形式】
 *      S = singval(A)
 *         Matrix S;
 *         Matrix A;
 *
 *  【機能説明】
 *      S = singval(A)は，行列 A の特異値からなる列ベクトルを返す。A は，
 *      正方行列でも非正方行列でもよい。S の成分の数は，A の行数と列数の
 *      少ない方と等しい。
 *
 *  【アルゴリズム】
 *      文献 1 のアルゴリズムを使う。
 *
 *  【注意】
 *      繰り返し計算で特異値が求まらない場合は，次のメッセージが表示される。
 *
 *          Solution will not converge
 *
 *  【例題】
 *      >> A = [[1 2 3][4 5 6]];
 *      >> S = singval(A)
 *      === [S] : (  2,  1) ===
 *                 (  1)     
 *      (  1)  9.50803200E+00
 *      (  2)  7.72869636E-01
 *
 *  【関連項目】
 *      svd(), singleftvec(), singrightvec(), maxsing(), minsing()
 *
 *  【参考文献】
 *     [1] Gene H. Golub and Charles F. Van Loan.  Matrix Computations.
 *         The Johns Hopkins University Press, 1989
 */
