
/*  -*- MaTX -*-
 *
 *  【名前】
 *      sinh() - 双曲(線)正弦
 *
 *  【形式】
 *      y = sinh(x)
 *         (Real   |Real|Complex) y;
 *         (Integer|Real|Complex) x;
 *
 *      Y = sinh(X)
 *         Array Y;
 *         Array X;
 *
 *  【機能説明】
 *      sinh(x)は，スカラ型(整数, 実数, 複素数) x の双曲(線)正弦を求める。
 *      角度はラジアンで計算される。
 *	    sinh(X)は，配列 X の各成分の双曲(線)正弦からなる配列 Y を求める。
 *      Y の大きさは X の大きさと同じ。
 *
 *  【アルゴリズム】
 *      i = (0,1)
 *      sinh(z) = (exp(-z) - exp(z))/2
 *
 *  【例題】
 *      >> y = sinh(0.5)
 *      y = 0.521095
 *
 *      範囲 -PI <= x <= PI のsinh(x)のグラフを表示する。
 *
 *      >> x = [-PI:0.05:PI];
 *      >> mgplot(1, x, sinh(x), {"sinh(x)"});
 *
 *  【関連項目】
 *      sin(), cosh(), tanh(), asinh(), exp()
 */
