
/*  -*- MaTX -*-
 *
 *  【名前】
 *      socket_listen() - 接続要求の最大待ち数を指定する
 *
 *  【形式】
 *      i = socket_listen(sd)
 *         Integer i;
 *         Integer sd;
 *
 *      i = socket_listen(sd, backlog)
 *         Integer i;
 *         Integer sd;
 *         Integer backlog;
 *
 *  【機能説明】
 *      socket_listen(sd)は，コネクション型ソケットの接続要求の最大
 *      待ち数を指定する。backlog が省略されると，5 が指定される。
 *
 *      指定に成功するとゼロ，失敗すると負の整数が返される。
 *
 *  【例題】
 *      コネクション型のソケットを作成し，接続要求の最大待ち数を 5 
 *      に指定する。
 *
 *      sd = socket_open("TCP");
 *      socket_listen(sd, 5);
 *
 *  【関連項目】
 *      socket_open
 */
