
/*  -*- MaTX -*-
 *
 *  【名前】
 *      socket_recvfrom() - ソケットからメッセージを受信する
 *
 *  【形式】
 *      {mess, host} = socket_recvfrom(sd)
 *         String mess;
 *         String host;
 *         Integer sd;
 *
 *  【機能説明】
 *      socket_recvfrom(sd)は，ソケット sd からメッセージを受信し，
 *      受信した文字列 mess と送信元のホスト名 host からなるリスト
 *      返す。socket_recvfrom は相手プロセスの socket_sendto と
 *      対応して使用するので，socket_recvfrom を実行したとき，
 *      socket_sendto が実行されていなければ，待ち状態になる。
 *
 *      受信に失敗する，2 個の空文字列からなるリストが返される。
 *
 *  【例題】
 *      コネクションレス型のソケットを作成し，メッセージを受信する。
 *
 *      sd = socket_open("UDP");
 *      socket_bind(sd，port);
 *      {mess,host} = socket_recvfrom(sd);
 *
 *  【関連項目】
 *      socket_open, socket_bind, socket_sendto
 */
