
/*  -*- MaTX -*-
 *
 *  【名前】
 *      std_col() - 列毎の成分の標準偏差
 *
 *  【形式】
 *      Y = std_col(X)
 *         (Matrix|Array|Index) Y;
 *         (Matrix|Array|Index) X;
 *
 *  【機能説明】
 *      std_col(X)は，列毎に成分の標準偏差を求め，行ベクトルを返す。
 *
 *      X が列ベクトルまたは行ベクトルのとき，std_col(X) は
 *      全ての成分の標準偏差を求める。
 *
 *  【例題】
 *      >> Y = std_col([[1 2][3 4][5 6]])
 *      === [Y] : (  1,  2) ===
 *                 (  1)           (  2)     
 *      (  1)  1.63299316E+00  1.63299316E+00
 *      >> Y = std_col([1 2 3])
 *      === [Y] : (  1,  1) ===
 *                 (  1)     
 *      (  1)  8.16496581E-01
 *
 *  【関連項目】
 *      std(), std_row()
 */
