
/*  -*- MaTX -*-
 *
 *  【名前】
 *      trace() - トレース(対角成分の和)
 *
 *  【形式】
 *      x = trace(X)
 *         Real x;
 *         Matrix X;
 *
 *      c = trace(X)
 *         Complex c;
 *         CoMatrix X;
 *
 *      p = trace(X)
 *         Polynomial p;
 *         PoMatrix X;
 *
 *      r = trace(X)
 *         Rational r;
 *         RaMatrix X;
 *
 *  【機能説明】
 *      trace(X)は行列 X のトレース(対角成分の和)を求める。X が実行列の
 *      とき実数を，X が複素行列のとき複素数を，X が多項式行列のとき
 *      多項式を，有理多項式行列のとき有理多項式を返す。
 *
 *  【例題】
 *      >> X = [[1 2 3][4 5 6][7 8 9]];
 *      >> x = trace(X)
 *      x = 15
 *
 *  【関連項目】
 *      det(), eig()
 */
