
/*  -*- MaTX -*-
 *
 *  【名前】
 *      vec2diag() - ベクトルを対角成分とする対角行列
 *
 *  【形式】
 *      Y = vec2diag(X)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *
 *      Y = vec2diag(X,k)
 *         (Matrix|Array) Y;
 *         (Matrix|Array) X;
 *         Integer k;
 *
 *  【機能説明】
 *      vec2diag(X) は，ベクトル X の成分を対角成分とする対角行列を作る。
 *      vec2diag(X,k) は，ベクトル X の 成分を主対角より k だけ上の成分
 *      とする行列を作る。
 *
 *  【例題】
 *      >> Y = vec2diag([1 5 9])
 *      === [Y] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  1.00000000E+00  0.00000000E+00  0.00000000E+00
 *      (  2)  0.00000000E+00  5.00000000E+00  0.00000000E+00
 *      (  3)  0.00000000E+00  0.00000000E+00  9.00000000E+00
 *      >> Y = vec2diag([2 6], 1)
 *      === [Y] : (  3,  3) ===
 *                 (  1)           (  2)           (  3)     
 *      (  1)  0.00000000E+00  2.00000000E+00  0.00000000E+00
 *      (  2)  0.00000000E+00  0.00000000E+00  6.00000000E+00
 *      (  3)  0.00000000E+00  0.00000000E+00  0.00000000E+00
 *
 *  【関連項目】
 *      diag(), diag2vec(), diag_vec()
 */
