
/*  -*- MaTX -*-
 *
 *  【名前】
 *      while - 繰り返し
 *
 *  【形式】
 *      while (expr) {
 *          statements;
 *      }
 *      (Integer|Real) expr;
 *
 *  【機能説明】
 *      while 文では，まず expr が評価される。expr が偽( 0 )でないとき，
 *      statements が実行され，expr が再度評価される。このサイクルは
 *      expr が偽( 0 )になるまで続けられ，その時点で実行はの次の文に移る。
 *      C 言語と異なり大括弧 { と } を省略できない。while ループ中で break
 *      文を使うと，その while ループの外に出る。以下のように expr に非零
 *      の定数を用いると，無限ループとなる。
 *
 *      while (1) {
 *          statements;
 *      }
 *
 *  【例題】
 *      ファイル data の内容を表示する。
 *
 *      fd = fopen("data", "r");
 *      while (length(str = fgets(fd))) {
 *          printf("%s", str);
 *      }
 *      fclose(fd);
 *
 *  【関連項目】
 *      while, do, break, continue
 */
